/var/lib/pcp/testsuite/1287 is in pcp-testsuite 4.0.1-1.
This file is owned by root:root, with mode 0o755.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 | #!/bin/sh
# PCP QA Test No. 1287
# Test pmdaprometheus install, "notready" and large initial configs.
# This also exercises pmdaSendError() and the associated python API
# functions which are used by pmdaprometheus to tell PMCD that it
# has finished processing the initial config on startup and is now
# ready to process requests. Also tests the pmdaproc.sh fix for
# $ipc_prot="binary notready".
#
# Copyright (c) 2018 Red Hat. All Rights Reserved.
#
seq=`basename $0`
echo "QA output created by $seq"
# get standard environment, filters and checks
. ./common.prometheus
_pmdaprometheus_check || _notrun "prometheus pmda and/or load generator not installed"
_have_python266 && _notrun "python load generator does not currently work with python 2.6.6"
status=1 # failure is the default!
$sudo rm -rf $tmp $tmp.* $seq.full
_cleanup()
{
_pmdaprometheus_restore_config >>$here/$seq.full
cd $here
$sudo rm -rf $tmp $tmp.*
}
trap "_cleanup; exit \$status" 0 1 2 3 15
_pmdaprometheus_save_config
# add a whopping set of URL configs to exercise the notready stuff
for i in $(seq 1 500)
do
file=$here/prometheus/samples/simple_metric.txt
urlbase=`basename $file .txt | tr .- _`
echo 'file://'$file > $PCP_PMDAS_DIR/prometheus/config.d/$urlbase$i.url
done
_pmdaprometheus_install
if ! _pmdaprometheus_wait_for_metric prometheus.control.calls
then
status=1
exit
fi
echo; echo === check \"notready\" appeared in pmcd.conf
grep 'prometheus.*notready' $PCP_PMCDCONF_PATH || exit 1
## echo === enable verbose log
## pmstore prometheus.control.debug 1
echo; echo === pminfo listing.
names=`pminfo prometheus | fgrep -v prometheus.control | LC_COLLATE=POSIX sort` 2>$tmp.err
if [ -z "$names" ]; then
echo "FAILED - no prometheus metrics to show"
else
if pminfo -dtTf `pminfo prometheus | fgrep -v prometheus.control | LC_COLLATE=POSIX sort` > $tmp.info 2>$tmp.err
then
:
else
echo "... failed! ... here is the Install log ..."
cat $tmp.out
fi
cat $tmp.info $tmp.err
fi
echo == Note: check $seq.full for expected log entries
echo == pmdaprometheus LOG == >>$here/$seq.full
cat $PCP_LOG_DIR/pmcd/prometheus.log >>$here/$seq.full
egrep 'Ready to process requests|notready' $PCP_LOG_DIR/pmcd/prometheus.log | \
sed -e 's/\[.*\]/[DATE]/' -e 's/([0-9]*)/(PID)/'
_pmdaprometheus_remove
# success, all done
status=0
exit
|